# parameters for the heat equation in 1D
## \partial_t u = \alpha \partial^2_{xx} u + f(t,x)

## initial datum: constant
## boundary data: constant
## convergence to stationary solution
## better DIRICHLET

## physical parameters
xMin = 0.  # x minimmal
xMax = 1.  # x maximal
tMin = 0.  # t minimal
tMax = 1. # t maximal
uMin = 0. # u minimal (for the graph only)
uMax = 21. # u maximal (for the graph only)

## numerical parameters
nx = 500 # number of x points
ttp = numpy.linspace(tMin, tMax, 101) # times to plot


## Equation coefficients
## coefficient
alpha = 1.

## source
def F(t,x): # output same size as x
    return numpy.zeros_like(x)

## Data
## datum at t = tMin
def Initial(x):
    return 5. * numpy.ones_like(x)

## datum at x = xMin
def Left(t):
    return 20.

## datum at x = xMax
def Right(t):
    return 5.

keep_npz = False
keep_png = False
keep_avi = True
